<?php

// web routes  for brmagazin
Route::prefix('{guard}/project')->group(function () {
    Route::resource('brmagazin', 'BrmagazinResourceController');
});

// Public routes for brmagazin
Route::get('projects/', 'BrmagazinPublicController@index');
Route::get('projects/{slug?}', 'BrmagazinPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BrmagazinResourceController');
            });
            // Public routes for pages
            Route::get('projects/', 'BrmagazinPublicController@index');
            Route::get('projects/{slug?}', 'BrmagazinPublicController@show');
        }
    );
}

