<?php

namespace Project\Project\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BrmagazinTransformer extends TransformerAbstract
{
    public function transform(\Project\Project\Models\Brmagazin $brmagazin)
    {
        return [
            'id'                => $brmagazin->getRouteKey(),
            'key'               => [
                'public'    => $brmagazin->getPublicKey(),
                'route'     => $brmagazin->getRouteKey(),
            ], 
            'project_name'      => $brmagazin->project_name,
            'project_category'  => $brmagazin->project_category,
            'project_title'     => $brmagazin->project_title,
            'description'       => $brmagazin->description,
            'screenshots'       => $brmagazin->screenshots,
            'url'               => [
                'public'    => trans_url('project/'.$brmagazin->getPublicKey()),
                'user'      => guard_url('project/brmagazin/'.$brmagazin->getRouteKey()),
            ], 
            'status'            => trans('app.'.$brmagazin->status),
            'created_at'        => format_date($brmagazin->created_at),
            'updated_at'        => format_date($brmagazin->updated_at),
        ];
    }
}